Index: INSTALL
===================================================================
--- INSTALL	(revision 245)
+++ INSTALL	(revision 318)
@@ -2,9 +2,9 @@
 =========================
 
-   Since you are reading this I assume you already obtained one of the release
+Since you are reading this I assume you already obtained one of the release
 tarballs and successfully extracted it. The latest version of LEMON is
 available at our web page (http://lemon.cs.elte.hu/).
 
-   In order to install LEMON from the extracted source tarball you have to
+In order to install LEMON from the extracted source tarball you have to
 issue the following commands:
 
@@ -22,6 +22,6 @@
 
       This command compiles the non-template part of LEMON into libemon.a
-      file. It also compiles the programs in the tools, benchmark and demo
-      subdirectories when enabled.
+      file. It also compiles the programs in the tools and demo subdirectories
+      when enabled.
 
    4. `make check'
@@ -50,10 +50,10 @@
 ===============================
 
-   In step 2 you can customize the actions of configure by setting variables
+In step 2 you can customize the actions of configure by setting variables
 and passing options to it. This can be done like this:
 `./configure [OPTION]... [VARIABLE=VALUE]...'
 
-   Below you will find some useful variables and options (see
-`./configure --help' for more):
+Below you will find some useful variables and options (see `./configure --help'
+for more):
 
 CXX='comp'
@@ -77,12 +77,4 @@
 
    Do not build the examples in the demo subdirectory (default).
-
---enable-benchmark
-
-   Build the programs in the benchmark subdirectory.
-
---disable-benchmark
-
-   Do not build the programs in the benchmark subdirectory (default).
 
 --enable-tools
Index: README
===================================================================
--- README	(revision 310)
+++ README	(revision 318)
@@ -36,5 +36,5 @@
 test/
 
-   Contains programs to check the integrity and correctness of LEMON.
+   Programs to check the integrity and correctness of LEMON.
 
 tools/
Index: doc/dirs.dox
===================================================================
--- doc/dirs.dox	(revision 209)
+++ doc/dirs.dox	(revision 318)
@@ -19,7 +19,7 @@
 /**
 \dir demo
-\brief A collection of demo application.
+\brief A collection of demo applications.
 
-This directory contains several simple demo application, mainly
+This directory contains several simple demo applications, mainly
 for educational purposes.
 */
@@ -29,5 +29,6 @@
 \brief Auxiliary (and the whole generated) documentation.
 
-Auxiliary (and the whole generated) documentation.
+This directory contains some auxiliary pages and the whole generated
+documentation.
 */
 
@@ -42,17 +43,14 @@
 /**
 \dir tools
-\brief Some useful executables
+\brief Some useful executables.
 
 This directory contains the sources of some useful complete executables.
-
 */
-
-
 
 /**
 \dir lemon
-\brief Base include directory of LEMON
+\brief Base include directory of LEMON.
 
-This is the base directory of lemon includes, so each include file must be
+This is the base directory of LEMON includes, so each include file must be
 prefixed with this, e.g.
 \code
@@ -64,16 +62,16 @@
 /**
 \dir concepts
-\brief Concept descriptors and checking classes
+\brief Concept descriptors and checking classes.
 
-This directory contains the concept descriptors and concept checkers. As a user
-you typically don't have to deal with these files.
+This directory contains the concept descriptors and concept checking tools.
+For more information see the \ref concept "Concepts" module.
 */
 
 /**
 \dir bits
-\brief Implementation helper files
+\brief Auxiliary tools for implementation.
 
-This directory contains some helper classes to implement graphs, maps and
-some other classes. As a user you typically don't have to deal with these
-files.
+This directory contains some auxiliary classes for implementing graphs, 
+maps and some other classes.
+As a user you typically don't have to deal with these files.
 */
Index: doc/groups.dox
===================================================================
--- doc/groups.dox	(revision 329)
+++ doc/groups.dox	(revision 330)
@@ -136,5 +136,5 @@
 @defgroup paths Path Structures
 @ingroup datas
-\brief Path structures implemented in LEMON.
+\brief %Path structures implemented in LEMON.
 
 This group describes the path structures implemented in LEMON.
@@ -271,10 +271,10 @@
 The purpose of the classes in this group is fourfold.
 
-- These classes contain the documentations of the concepts. In order
+- These classes contain the documentations of the %concepts. In order
   to avoid document multiplications, an implementation of a concept
   simply refers to the corresponding concept class.
 
 - These classes declare every functions, <tt>typedef</tt>s etc. an
-  implementation of the concepts should provide, however completely
+  implementation of the %concepts should provide, however completely
   without implementations and real data structures behind the
   interface. On the other hand they should provide nothing else. All
